function OnMsg.ClassesBuilt() RDM_ModMedAirWaterTanks:Init() end

-- @Class RDM_ModMedAirWaterTanks
-- ===================================================================================
DefineClass.RDM_ModMedAirWaterTanks = {
	__parents = { "RDM_ModBase" },
	ModID = "i1GRymQ", -- SET
	
	techs 		= {"StorageCompression"},
	buildings 	= {"sMediumWaterTank","sMediumAirTank"},
	modifiers 	= {"sMediumWaterTank_WaterCapacity", "sMediumAirTank_AirCapacity"},
}

function RDM_ModMedAirWaterTanks:Init()
	RDM_ModBase.Init(self)

	self.rules_modifiers = {
		{self.modifiers[1], self.buildings[1], {"water_capacity", 0, 50}, self.techs[1]},
		{self.modifiers[2], self.buildings[2], {"air_capacity", 0, 50}, self.techs[1]},
	}
	RDM_AddModifiersRules(self.rules_modifiers)
end

function OnMsg.TechResearched(tech_id, city, first_time)
	RDM_LockUnlock("RDM_ModMedAirWaterTanks", tech_id)
end